Build-wrapper version 6.36, which does not match the analyzer version 6.37.0.60132

Template for a good new topic, formatted with Markdown:

build-wrapper-dump.json
was generated using build-wrapper version 6.36,
which does not match the analyzer version 6.37.0.60132.

Please download the matching version from the server
https://sonarcloud.io/static/cpp/build-wrapper-linux-x86.zip
  • How can I get the latest version of build-wrapper or the updated version same as analyzer, Pls guide me.
  • Can this warning be ignored ??

hi @Umang.Brahmbhatt,

I tried to download build-wrapper using the same command you provided and I get 6.37.

build-wrapper-linux-x86-64 -v

build-wrapper, version 6.37 (linux-x86)
Copyright (C) 2014-2022 SonarSource SA, info@sonarsource.com

Did you run the build-wrapper before the analysis? Did it succeed? are you pointing to the latest generated build-wrapper-dump.json?

Thanks,

I got it , It worked after I downloaded. Its the latest version I can see now

1 Like